---
title: "round"
excerpt: "Round a number to the nearest integer."
layout: manual
---

Round a number to the nearest integer.



```js
round(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(endAbsolute = [12, 10])
  |> line(end = [round(7.02986), 0])
  |> yLineTo(0, %)
  |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of round 0](data:image/png;base64,[encoded data, 80660 characters])


